%global _legacy_common_support 1
Name:		mirrormagic
Summary:	A puzzle game with mirrors and ray of lights
Version:	3.0.0
Release:	%mkrel 3
#Source0:	http://www.artsoft.org/RELEASES/unix/mirrormagic/%{name}-%{version}.tar.gz
#This is a rebuild of the tarball with the binaries
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}-16x16.png
Source2:	%{name}-32x32.png
Source3:	%{name}-48x48.png
URL:		http://www.artsoft.org/mirrormagic/
License:	GPLv2+
Group:		Games/Puzzles
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)

%description
This game was first released as "Mindbender" in the year 1989 on the Amiga
(with ports on other computer systems) and is in fact a clone of the C64
game "Deflektor".

%prep
%setup -q

%build
%make_build PROGBASE=%{name} RO_GAME_DIR=%{_gamesdatadir}/%{name} OPTIONS="%{optflags}" sdl2

%install
%__install -m755 %{name} -D %{buildroot}%{_gamesbindir}/%{name}.wrapped
%__install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}

%__cat << EOF > %{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh
cd %{_gamesdatadir}/%{name}
exec %{_gamesbindir}/%{name}.wrapped
EOF
%__chmod 755 %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Categories=Game;LogicGame;
Name=Mirror Magic
Comment=Puzzle game with mirrors and ray of lights
EOF

%__install -m0644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%__install -m0644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -m0644 %{SOURCE3} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Aug 23 2020 joequant <joequant> 3.0.0-3.mga8
+ Revision: 1618121
- fix gcc10 build
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri Feb 14 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1519460
- Mageia 8 Mass Rebuild

* Tue Oct 16 2018 zezinho <zezinho> 3.0.0-1.mga7
+ Revision: 1321198
- new version 3.0.0 - build against SDL2

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-13.mga7
+ Revision: 1299561
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 2.0.2-12.mga6
+ Revision: 961433
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 danf <danf> 2.0.2-11.mga6
+ Revision: 895632
- Added noinline.patch to fix build on gcc 5.2
  Cleaned up spec file

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-10.mga5
+ Revision: 747723
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-9.mga5
+ Revision: 682533
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-8.mga4
+ Revision: 507972
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-7.mga3
+ Revision: 360113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 09 2011 stormi <stormi> 2.0.2-6.mga2
+ Revision: 121423
- bump release so that it's higher than that in mageia 1

* Mon Jun 13 2011 zezinho <zezinho> 2.0.2-5.mga2
+ Revision: 105920
- imported package mirrormagic

